Bug 50316 - Minor glitch with display of negative TTL on sessionDetail.jsp
Minor glitch with display of negative TTL on sessionDetail.jsp
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Manager application
6.0.29
PC Windows XP
: P2 minor (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-11-22 11:29 UTC by Konstantin Kolinko
Modified: 2011-08-10 11:26 UTC (History)
0 users



Attachments
sessionDetail.jpg - screenshot (82.71 KB, image/jpeg)
2010-11-22 11:29 UTC, Konstantin Kolinko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Kolinko 2010-11-22 11:29:24 UTC
Created attachment 26331 [details]
sessionDetail.jpg - screenshot

To reproduce
1. Start Tomcat
2. Create a session
3. Stop Tomcat. Wait for more than TTL (default: 30 minutes). Start Tomcat.
4. Go to the Manager web application and look at the Session Details page for the session.

I had some instance of 6.0.29 lying on my drive for several months. The TTL value was printed as "0-2982:0-20:0-59" instead of "-2982:20:59". I am attaching the screenshot.  I wonder why the session was still alive, but that is a different question.

The bug is in JspHelper.secondsToTimeString(), as it does not deal with negative values.
Comment 1 Konstantin Kolinko 2010-11-22 16:04:47 UTC
Fixed in trunk in r1037887 (will be in 7.0.5), proposed for 6.0
Comment 2 Konstantin Kolinko 2010-12-01 21:01:47 UTC
Fixed in 6.0 in r1041252 (will be in 6.0.30).
Comment 3 Christian Stöber 2011-08-10 11:26:38 UTC
Konstantin,

you've mentioned the problem, that sessions with negative TTL are still alive after a Tomcat restart. I can't find a bug report. Is this problem fixed, too?

Christian